<template>
  <v-container
    fill-height
    fluid
    grid-list-xl
  >
    <v-layout
      justify-center
      wrap
    >
      <v-flex
        v-if="!loading"
        md10
      >
        <div>
          <material-card
            :title="course.code+' '+course.name"
            color="green"
          >
            <template>
              <v-data-table
                :headers="headers"
                :items="student"
                hide-actions
              >
                <template
                  slot="items"
                  slot-scope="props">
                  <td>{{ props.item.code }}</td>
                  <td>{{ props.item.firstName }} {{ props.item.lastName }}</td>
                  <td>{{ props.item.grade }}</td>
                </template>
              </v-data-table>
            </template>
          </material-card>
        </div>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import { mapState, mapGetters } from 'vuex'

export default {
  data () {
    return {
      loading: false,
      headers: [
        {
          text: 'Student Code',
          value: 'code'
        },
        {
          text: 'Student name',
          value: 'name'
        },
        {
          text: 'Grade',
          value: 'grade'
        }
      ],
      courseCode: this.$route.params.id
    }
  },
  computed: {
    ...mapGetters('web3', ['contract', 'student', 'course']),
    ...mapState('app', ['image', 'color'])
  },
  async mounted () {
    await this.$store.dispatch('web3/connectToWeb3')
    await this.$store.dispatch('web3/setContract')
    await this.$store.dispatch('web3/fetchEnrolledStudent', this.courseCode)
  },
  methods: {

  }
}
</script>
